October 15, 2020 – Advisory: Failure to access linkage engine libraries in Patient Index

InterSystems has corrected an issue that may occur in certain UNIX environments running Patient Index.

This problem exists for Customers who use one of the following versions:

  • HealthShare Patient Index 15.032, 2018.1 2019.1, 2019.2, 2020.1 running on UNIX platforms

This issue is limited to UNIX platforms that fail to load the linkage engine libraries on initial start-up. The problem appears to be limited to systems that are running on underpowered environments, such as test systems.

Linkage evaluations and linkage rebuilds may receive errors attempting to access the linkage engine library. These errors show up in the error log, and users can query to see if these errors have occurred in their environment.

To resolve this issue customers are advised to stop and restart the installed instance.

The correction for this defect is identified as SOH723 and will be included in all future product releases. It is also available via Ad hoc change file (patch) or full kit distribution from the Worldwide Response Center (WRC).

If you have any questions regarding this advisory, please contact the WRC.